<?xml version="1.0" encoding="ISO-8859-1"?>
<refentry version="5.0-subset Scilab"
          xml:id="DAQ_Channel_Configuration_and_Creation" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>07-Oct-2011</pubdate>
  </info>

  <refnamediv>
    <refname>DAQ_Channel_Configuration_and_Creation</refname>

    <refpurpose>DAQ_CreateAIThermcplChan</refpurpose>
    <refpurpose>DAQ_CreateAIVoltageChan</refpurpose>
    <refpurpose>DAQ_CreateAOVoltageChan</refpurpose>
    <refpurpose>DAQ_CreateDIChan</refpurpose>
    <refpurpose>DAQ_CreateDOChan</refpurpose>
    <refpurpose>DAQ_CreateCIPeriodChan</refpurpose>
    <refpurpose>DAQ_CreateCICountEdgesChan</refpurpose>
    <refpurpose>DAQ_CreateCIPulseWidthChan</refpurpose>
    <refpurpose>DAQ_CreateCOPulseChanFreq</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[ status ] = DAQ_CreateAIThermcplChan( taskHandle, physicalChannel, minVal, maxVal, units, thermocoupleType, cjcSource, cjcVal, cjcChannel )
[ status ] = DAQ_CreateAIVoltageChan( taskHandle, physicalChannel, terminalConfig, minVal, maxVal )
[ status ] = DAQ_CreateAOVoltageChan( taskHandle, physicalChannel, minVal, maxVal )
[ status ] = DAQ_CreateDIChan (taskHandle, lines )
[ status ] = DAQ_CreateDOChan (taskHandle, lines )
[ status ] = DAQ_CreateCIPeriodChan( taskHandle, counter, minVal, maxVal, units, edge )
[ status ] = DAQ_CreateCICountEdgesChan( taskHandle, counter, edge, initialCount, countDirection )
[ status ] = DAQ_CreateCIPulseWidthChan( taskHandle, counter, minVal, maxVal, units, startingEdge )
[ status ] = DAQ_CreateCOPulseChanFreq( taskHandle, counter, idleState, initialDelay, freq, dutyCycle )</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>taskHandle</term>

        <listitem>
          <para>mlist (type "daq")</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>physicalChannel</term>

        <listitem>
          <para>string</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>lines</term>

        <listitem>
          <para>string</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>counter</term>

        <listitem>
          <para>string</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>terminalConfig</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>minVal</term>

        <listitem>
          <para>double</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>maxVal</term>

        <listitem>
          <para>double</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>units</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>edge</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>startingEdge</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>initialCount</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>countDirection</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>idleState</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>initialDelay</term>

        <listitem>
          <para>double</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>freq</term>

        <listitem>
          <para>double</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>dutyCycle</term>

        <listitem>
          <para>double</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>thermocoupleType</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>cjcSource</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>cjcVal</term>

        <listitem>
          <para>double</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>cjcChannel</term>

        <listitem>
          <para>string</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>status</term>

        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">DAQ_FunctionName</emphasis> provides just
        an interface to <emphasis
        role="bold">DAQmxFunctionName</emphasis>.</para>

        <para>For more detailed information about the interfaced functions,
        please refer to <emphasis>NI-DAQmx 9.x C Function Reference
        Help</emphasis>.</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection>
    <title>Examples</title>

  <programlisting role="example">   Your NI-DAQmx 9.x installation contains a number of tutorial examples
   written in C, please refer to them.
   By default, they are located in   
   C:\Program Files\National Instruments\NI-DAQ\Examples (Windows).
  </programlisting>
  
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="DAQ_Constants">DAQ_Constants</link></member>

      <member><link
      linkend="DAQ_Task_Configuration_and_Control">DAQ_Task_Configuration_and_Control</link></member>

      <member><link linkend="DAQ_Timing">DAQ_Timing</link></member>

      <member><link linkend="DAQ_Triggering">DAQ_Triggering</link></member>

      <member><link
      linkend="DAQ_Read_Functions">DAQ_Read_Functions</link></member>

      <member><link
      linkend="DAQ_Write_Functions">DAQ_Write_Functions</link></member>

      <member><link
      linkend="DAQ_Error_Handling">DAQ_Error_Handling</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <variablelist>
      <varlistentry>
        <term>Dirk Reusch</term>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Bibliography</title>

    <para>NI-DAQmx 9.x C Function Reference Help</para>
  </refsection>
</refentry>
